Bug 432292 - Unable to save config and connect to wireless network with Network Manager
Unable to save config and connect to wireless network with Network Manager
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-10 18:59 EST by Zaphod Beeblebrox
Modified: 2009-01-09 00:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zaphod Beeblebrox 2008-02-10 18:59:02 EST
Description of problem:
When I try to connect to our wireless network at work, the NetworkManager applet
 will not let me configure a connection with dynamic wep. After filling out all
the required information, the connect button remains grey.

Version-Release number of selected component (if applicable):

How reproducible:
Select the network to connect to. Select dynamic wep in the popup that comes up.
Fill in identity, user cert, ca cert, and key cert. As soon as any information
is entered, the connect button turns grey. Even after specifying all required
data, the button remains grey.

Steps to Reproduce:
Actual results:
Unable to save network information and connect

Expected results:
Network information entered and stored

Additional info:
I am able to manually connect using wpa_supplicant. The wireless network at work
is using a hidden SSID and since we are using Cisco access points, the same
access point is broadcasting another public SSID that does not use encryption
for use by visitors. The non-guest wireless network uses IEEE8021X key
management and requires a certificate to authenticate. When the network manager
applet config screen comes up and dynamic wep is selected, the connect button
turns grey after entering the first character in the identity field.

I am using the b43 module and the wireless card in my laptop reported by lspci
is: Broadcom Corporation BCM94311MCG wlan mini-PCI (rev 01)
Comment 1 Dan Williams 2008-02-11 09:03:03 EST
What format are your certificate files in?  PEM or DER format?  Did you enter
the private key password at all?
Comment 2 Zaphod Beeblebrox 2008-02-11 13:51:25 EST
The CA cert and user/key cert are in PEM format. Yes, I entered a private key
password as well.
Comment 3 Zaphod Beeblebrox 2008-02-15 19:29:46 EST
Any additional information needed?
Comment 4 Zaphod Beeblebrox 2008-02-16 21:20:32 EST
As a side note, I also have /etc/dhclient-exit-hooks making some dynamic updates
to our dns servers every time an ip address is leased. This works fine when ifup
is used to manage networking, but does not seem to work when NetworkManager is used.
Comment 5 Dan Williams 2008-03-31 12:49:12 EDT
What are the filenames of your user and CA certificates and your private key? 
Can you paste in the successful wpa_supplicant configuration block you're using?
Comment 6 Zaphod Beeblebrox 2008-05-04 20:32:59 EDT

I've also used openssl to convert and create a .pem version of the private key
as well. Neither seems to work in NetworkManager.

Comment 7 Bug Zapper 2008-11-26 04:46:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 00:58:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.